
{{-- This file is used for menu items by any Backpack v6 theme --}}
<li class="nav-item"><a class="nav-link" href="{{ backpack_url('dashboard') }}"><i class="la la-home nav-icon"></i> {{ trans('backpack::base.dashboard') }}</a></li>
<?php
$user = auth()->user();
$roleName = '';
if ($user) {
    $roleName = $user->getRoleNames()->first();
//  dd($roleName);
}
?>

@if($roleName == 'Administrator' || $roleName == 'Guest' || $roleName ==null)
<x-backpack::menu-dropdown title="Content" icon="la la-sitemap">
  <x-backpack::menu-dropdown-item title='Pages' icon='la la-file-o' :link="backpack_url('page')" />
  <x-backpack::menu-dropdown-item title="Glossaries" icon="la la-book-open" :link="backpack_url('glossary')" />
</x-backpack::menu-dropdown>
<x-backpack::menu-dropdown title="Listings" icon="la la-clipboard-list">
        <x-backpack::menu-dropdown-item title="Lawyers" icon="la la-balance-scale" :link="backpack_url('listing')" />
        <x-backpack::menu-dropdown-item title="Firms" icon="la la-legal" :link="backpack_url('firm')" />
        <x-backpack::menu-dropdown-item title="Jurisdiction Districts" icon="la la-map" :link="backpack_url('district')" />
        <x-backpack::menu-dropdown-item title="Fees" icon="la la-money-bill-wave" :link="backpack_url('fee')" />
        <x-backpack::menu-dropdown-item title="Referrals" icon="la la-question" :link="backpack_url('referrals')" />
</x-backpack::menu-dropdown>

<x-backpack::menu-dropdown title="Main pages" icon="la la-balance-scale">
        <x-backpack::menu-dropdown-item title="States" icon="la la-map" :link="backpack_url('state')" />
        <x-backpack::menu-dropdown-item title="City - Counties" icon="la la-map" :link="backpack_url('county')" />
        <x-backpack::menu-dropdown-item title="Practice areas" icon="la la-tags" :link="backpack_url('practice-area')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state)" icon="la la-map" :link="backpack_url('practice-area-and-state-content')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state/city)" icon="la la-map" :link="backpack_url('practice-area-state-city-content')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state/county)" icon="la la-map" :link="backpack_url('practice-area-state-county-content')" />
</x-backpack::menu-dropdown>
<x-backpack::menu-dropdown title="Blogs" icon="la la-clipboard-list">
        <x-backpack::menu-dropdown-item title="Blogs" icon="la la-question" :link="backpack_url('blogs')" />
        <x-backpack::menu-dropdown-item title="Blog categories" icon="la la-question" :link="backpack_url('blog-categories')" />
</x-backpack::menu-dropdown>

<x-backpack::menu-dropdown title="Validation" icon="la la-book-medical">
        <x-backpack::menu-dropdown-item title="Lawyer Documents" icon="la la-book-medical" :link="backpack_url('listingverification')" />
        <x-backpack::menu-dropdown-item title="Reviews" icon="la la-star" :link="backpack_url('listing-reviews')" />
        <x-backpack::menu-dropdown-item title="Firms" icon="la la-book-medical" :link="backpack_url('userverification')" />
</x-backpack::menu-dropdown>


<x-backpack::menu-dropdown title="Management" icon="la la-puzzle-piece">
        <x-backpack::menu-dropdown-item title="Activity Logs" icon="la la-stream" :link="backpack_url('activity-log')" />
        <x-backpack::menu-dropdown-item title='Logs' icon='la la-terminal' :link="backpack_url('log')" />
        <x-backpack::menu-dropdown-item title='Settings' icon='la la-cog' :link="backpack_url('setting')" />
</x-backpack::menu-dropdown>

<x-backpack::menu-item title="Users" icon="la la-question" :link="backpack_url('user')" />
<x-backpack::menu-dropdown title="Add-ons" icon="la la-puzzle-piece">
    <x-backpack::menu-dropdown-header title="Authentication" />
    <x-backpack::menu-dropdown-item title="Users" icon="la la-user" :link="backpack_url('user')" />
    <x-backpack::menu-dropdown-item title="Roles" icon="la la-group" :link="backpack_url('role')" />
<x-backpack::menu-dropdown-item title="Permissions" icon="la la-key" :link="backpack_url('permission')" />
</x-backpack::menu-dropdown>

<x-backpack::menu-item title="Backups" icon="la la-hdd-o" :link="backpack_url('backup')" />

<x-backpack::menu-dropdown title="Careers" icon="la la-puzzle-piece">
        <x-backpack::menu-dropdown-item title="Positions" icon="la la-stream" :link="backpack_url('position')" />
        <x-backpack::menu-dropdown-item title='Department' icon='la la-terminal' :link="backpack_url('department')" />
        <x-backpack::menu-dropdown-item title="Job applications" icon="la la-question" :link="backpack_url('job-applications')" />
</x-backpack::menu-dropdown>
@elseif($roleName ==='Writer')
<x-backpack::menu-dropdown title="Blogs" icon="la la-clipboard-list">
        <x-backpack::menu-dropdown-item title="Blogs" icon="la la-question" :link="backpack_url('blogs')" />
        <x-backpack::menu-dropdown-item title="Blog categories" icon="la la-question" :link="backpack_url('blog-categories')" />
</x-backpack::menu-dropdown>
@elseif($roleName ==='Subscriber')
<x-backpack::menu-item title="Users" icon="la la-question" :link="backpack_url('user')" />
@elseif($roleName ==='Lawyer')
<x-backpack::menu-item title="Users" icon="la la-question" :link="backpack_url('user')" />

@elseif($roleName ==='Editor')
<x-backpack::menu-dropdown title="Content" icon="la la-sitemap">
  <x-backpack::menu-dropdown-item title='Pages' icon='la la-file-o' :link="backpack_url('page')" />
  <x-backpack::menu-dropdown-item title="Glossaries" icon="la la-book-open" :link="backpack_url('glossary')" />
</x-backpack::menu-dropdown>
<x-backpack::menu-dropdown title="Listings" icon="la la-clipboard-list">
        <x-backpack::menu-dropdown-item title="Lawyers" icon="la la-balance-scale" :link="backpack_url('listing')" />
        <x-backpack::menu-dropdown-item title="Firms" icon="la la-legal" :link="backpack_url('firm')" />
        <x-backpack::menu-dropdown-item title="Jurisdiction Districts" icon="la la-map" :link="backpack_url('district')" />
        <x-backpack::menu-dropdown-item title="Fees" icon="la la-money-bill-wave" :link="backpack_url('fee')" />
        <x-backpack::menu-dropdown-item title="Referrals" icon="la la-question" :link="backpack_url('referrals')" />
</x-backpack::menu-dropdown>

<x-backpack::menu-dropdown title="Main pages" icon="la la-balance-scale">
        <x-backpack::menu-dropdown-item title="States" icon="la la-map" :link="backpack_url('state')" />
        <x-backpack::menu-dropdown-item title="City - Counties" icon="la la-map" :link="backpack_url('county')" />
        <x-backpack::menu-dropdown-item title="Practice areas" icon="la la-tags" :link="backpack_url('practice-area')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state)" icon="la la-map" :link="backpack_url('practice-area-and-state-content')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state/city)" icon="la la-map" :link="backpack_url('practice-area-state-city-content')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state/county)" icon="la la-map" :link="backpack_url('practice-area-state-county-content')" />
</x-backpack::menu-dropdown>
@elseif($roleName ==='SEO')
<x-backpack::menu-dropdown title="Content" icon="la la-sitemap">
  <x-backpack::menu-dropdown-item title='Pages' icon='la la-file-o' :link="backpack_url('page')" />
  <x-backpack::menu-dropdown-item title="Glossaries" icon="la la-book-open" :link="backpack_url('glossary')" />
</x-backpack::menu-dropdown>
<x-backpack::menu-dropdown title="Listings" icon="la la-clipboard-list">
        <x-backpack::menu-dropdown-item title="Lawyers" icon="la la-balance-scale" :link="backpack_url('listing')" />
        <x-backpack::menu-dropdown-item title="Firms" icon="la la-legal" :link="backpack_url('firm')" />
        <x-backpack::menu-dropdown-item title="Jurisdiction Districts" icon="la la-map" :link="backpack_url('district')" />
        <x-backpack::menu-dropdown-item title="Fees" icon="la la-money-bill-wave" :link="backpack_url('fee')" />
        <x-backpack::menu-dropdown-item title="Referrals" icon="la la-question" :link="backpack_url('referrals')" />
</x-backpack::menu-dropdown>

<x-backpack::menu-dropdown title="Main pages" icon="la la-balance-scale">
        <x-backpack::menu-dropdown-item title="States" icon="la la-map" :link="backpack_url('state')" />
        <x-backpack::menu-dropdown-item title="City - Counties" icon="la la-map" :link="backpack_url('county')" />
        <x-backpack::menu-dropdown-item title="Practice areas" icon="la la-tags" :link="backpack_url('practice-area')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state)" icon="la la-map" :link="backpack_url('practice-area-and-state-content')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state/city)" icon="la la-map" :link="backpack_url('practice-area-state-city-content')" />
        <x-backpack::menu-dropdown-item title="Practice areas (state/county)" icon="la la-map" :link="backpack_url('practice-area-state-county-content')" />
</x-backpack::menu-dropdown>
@endif


